#!/usr/bin/php
<?

echo ("taxipilotdir = $(kde_datadir)/taxipilot/game_data\n\ndist_taxipilot_DATA = \\\n\trecent_additions.mission \\\n\tgame_data_tag\n\n");

readsubs ("stefan", "taxipilot/stefan");
readsubs ("old_mission", "taxipilot/oldmission");
readsubs ("joe", "taxipilot/joe");

function readsubs ($dir, $prefix) {
	$thisdir = opendir ($dir);
	$subdirs = array ();
	$files = array ();
	
	echo (strtr ($prefix, "/", "X") . "dir = $(kde_datadir)/taxipilot/game_data/" . $dir . "\n");
	
	while (false !== ($file = readdir($thisdir))) {
		if (!is_dir ($dir . "/" . $file)) {
			array_push ($files, $file);
		}  else {
			if (($file != ".") && ($file != "..") && ($file != "CVS")) {
				array_push ($subdirs, $file);
			} 
		}
	}

	if (count ($files)) {
		echo ("dist_" . strtr ($prefix, "/", "X") . "_DATA =");
		
		foreach ($files as $item) {
			echo (" \\\n\t" . $dir . "/" . $item);
		}
		echo ("\n\n");
	}
	
	foreach ($subdirs as $sub) {
		readsubs ($dir . "/" . $sub, $prefix . "/" . strtr ($sub, "_", "U"));
	}
	
	closedir ($thisdir);
}
?>