/***************************************************************************
                          updatethread.cpp  -  description
                             -------------------
    begin                : Mon Feb 23 23:49:43 CEST 2004
    copyright            : (C) 2004 by Thomas Friedrichsmeier
    email                : Thomas.Friedrichsmeier@ruhr-uni-bochum.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "updatethread.h"

#include <qapplication.h>

#include "taxipilot.h"
#include "cdp.h"

UpdateThread::UpdateThread(int frame_period):QThread() {
	delay = frame_period;
}

UpdateThread::~UpdateThread() {
}

void UpdateThread::run () {
	while (1) {
		qApp->lock ();
		tp->scrollAndUpdate ();
		qApp->unlock ();

		msleep (delay);
	}
}
